Subject: Re: clearmake and cywin b20 and \r\n on NT
From: "Guy T. Moore Jr." <[email-masked]>
To: "Masterson, David" <[email-masked]>
Cc: [email-masked]
Date: Tue, 08 Feb 2000 12:17:28 -0500

Using the 'make' that is supplied with the Cygwin installation works fine.

clearmake works fine also if I do not set the SHELL variable in the makefile. 
	i.e.: using the standard DOS shell rather than the sh.exe that is supplied with Cygnus.
    ALthough commands like 'pwd' are not understood by the DOS shell, etc...

"Masterson, David" wrote:
> 
> Have you tried the same thing using straight GNU make?  I'm not suggesting
> you switch to GNU make rather merely run a test with GNU make to see if it
> has the same problem...
> 
> -----Original Message-----
> From: Guy T. Moore Jr. [mailto:[email-masked]]
> Sent: Monday, February 07, 2000 1:29 PM
> To: [email-masked]
> Subject: Re: clearmake and cywin b20 and \r\n on NT
> 
> > Actually, it looks like a "\r\n" line ending problem to me.  It's probably
> trying
> > to run "\r" as a program.
> 
> Actually, after saving the output and doing an octal dump of it,it
> is trying to run "pwd\r" as a program. The correct error message is:
> 
> pwd\r : not found
> 
> I definitely do not have any \r in my makefile.
> Seems like clearmake is adding that in whether or not my lines in \r or \r\n
> 
> I am going back to CLearCase support with this info.
> 
> Chris Faylor wrote:
> >
> > On Mon, Feb 07, 2000 at 12:30:46PM -0800, Earnie Boyd wrote:
> > >--- "Guy T. Moore Jr." <[email-masked]> wrote:
> > >>
> > >> What was the exact answer to using Clearmake and Cygwin b20
> > >> on the WinNT platform?
> > >>
> > >> I just tried:
> > >> CYGWIN=nobinmode
> > >> but that did not help running clearmake.
> > >>
> > >> I still get,
> > >> : not found
> > >>
> > >
> > >This is definately a message coming from the ash port.  I see it most
> commonly
> > >when some command can't be executed via sh when trying to use it from a
> > >non-Cygwin program.  Is Clearmake OpenSource?  Can you rebuild it using
> Cygwin?
> > >Rebuilding with Cygwin would be the best solution.  If you can't do that,
> try:
> > >
> > >cp sh.exe ash.exe
> > >cp bash.exe sh.exe
> > >
> > >This will give you a different message that may help determine the real
> problem
> > >which I suspect to be pathing issues related to Cygwin vs non-Cygwin
> paths.
> >
> > Actually, it looks like a "\r\n" line ending problem to me.  It's probably
> trying
> > to run "\r" as a program.
> >
> > cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]